* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

body,
html {
    height: 100%;
    font-family: Arial, sans-serif;
    background-color: #000000;
    background-color: rgb(5, 5, 5);
}


/* =======================    entry page========================================== */
.background-video {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    /* Fallback color */
    background-color: black;
}

.background-video video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translate(-50%, -50%);
    z-index: 1;
    /* Ensure video is in the background */
}

.logo-container {
    position: absolute;
    top: 58%;
    left: 50.4%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.logo {
    width: 300px;
    /* Adjust the size as needed */
}

.button-container {
    position: absolute;
    bottom: 60px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.enter-button {
    background-color: rgb(162, 6, 6);
    color: white;
    border: none;
    padding: 20px 40px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 35px;
    transition: background-color 0.3s;
    font-size: large;
}

.enter-button:hover {
    background-color: darkred;
}

/* ===================================Trending card-song================================= */

.main-card-container {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    /* border: 1px solid rgb(66, 161, 212); */
}

.card-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    width: 100%;
    /* border: 1px solid rgb(142, 19, 117); */

}

.card {
    background-color: #1c1c1c;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.card img {
    width: 100%;
    height: auto;
}



.card p {
    color: rgb(187, 0, 0);
    /* padding: 10px 0; */
}

/* ==============================================new mixes card====================================== */


.main-mixes-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #1a1a1a;
}

.card-mixes-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    width: 100%;
    box-sizing: border-box;
}

/* .card {
    background-color: #2a2a2a;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    transition: transform 0.3s;
} */

/* .card:hover {
    transform: translateY(-5px);
} */

.card-image {
    position: relative;
}

.card-image img {
    width: 100%;
    display: block;
}

.card-overlay {
    position: absolute;
    
    /* top: 0; */
    bottom: 0;
    left: 0;
    width: 100%;
    /* height: 100%; */
    height: 0;
    background: rgba(159, 0, 0, 0.7);
    opacity: 0;
    /* transition: opacity 0.8s ease-in-out; */
    transition: all 0.2s ease-in-out;
    display: flex;
    justify-content: end;
    /* align-items: center; */
}

.card:hover .card-overlay {
    opacity: 1;
    height: 100%;
}

.more-options {
    position: relative;
    color: #fff;
    /* border: 1px solid white; */
    height: 30px;
    padding-top: 10px;
    padding-right: 15px;
}
.plyBtn{
    position: absolute;
    right: 43%;
    top: 50%;
}

.playlist-section {
    position: fixed;
    width: 35%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 999;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.dots {
    font-size: 24px;
    cursor: pointer;

}

.dropdown {
    display: none;
    position: absolute;
    top: 30px;
    right: 0;
    background-color: #2a2a2a;
    border: 1px solid #444;
    border-radius: 5px;
    overflow: hidden;
    white-space: nowrap;
}

.dropdown a {
    color: #fff;
    text-decoration: none;
    display: block;
    padding: 10px;
    border-bottom: 1px solid #444;
}

.dropdown a:hover {
    background-color: #444;
}

.btn-drop {
    text-decoration: none;
    display: block;
    padding: 10px;
    border-bottom: 1px solid #444;
    background-color: transparent;
    border: none;
    color: #fff;
}

.more-options:hover .dropdown {
    display: block;
}

.card-content {
    padding: 0px 5px;
}

.card-title {
    font-size: 17px;
    color: #ff4444;
}

.card-artist {
    font-size: 12px;
    color: #ffffff;
}



.nav-link {
    color: #ad6d6d;
    text-decoration: none;
}

.nav-link.active .my-active-link {
    font-weight: bold;
    font-size: 20px;
    color: #54e3ff;
    /* This should now take effect */
}
.fav-heading{
    padding-left: 10%;
    color: rgb(185, 0, 0);
    font-weight: 700;
    font-size: 30px;
}

.empty{
    /* border: 2px solid rgb(17, 255, 0); */
    display: flex;
    justify-content: center;
}
.inner-empty{
    /* border: 2px solid rgb(206, 251, 116); */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 40%;
    height: 40vh;
    background-color: #0b0a0c;
    border-radius: 20px;
}
.inner-empty p{
    font-size: 30px;
}
.inner-empty h2{
    color: white;
    font-weight: 100;
}
/* radio component======================== */
/* .live-radio-wrapper{
    margin: 0;
    padding:0;
    border: 4px solid yellow;
} */
.live-radio-wrapper .radion-div {
    height: 100%;
    width: 100%;
    left: 0;
    display: flex;
    align-items: center;
    background: #000000a3;
    /* border: 4px solid rgb(33, 226, 111); */
}
.radion-div{
    display: flex;
}
.r-container{
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    /* display: flex;
    justify-content: center; */
    
    margin-right: auto;
    margin-left: auto;
    
}
.img-radio{
    background-image: url(./assets/images/radio_bg.png);
    background-size: 100% auto;
    /* padding: 100px; */
    height: 942px;
    max-width: 420px;
    margin: 50px auto;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: end;
    text-align: center;
    padding-bottom: 10%;
    /* border: 4px solid rgb(226, 33, 133); */
}

.push-play {
    /* background-color: white;
    border-radius: 50%; */
    width: 45px;
    margin: 0px auto;
    /* border: 4px solid rgb(179, 152, 166); */

}
.live-radio-wrapper .radion-div .img-radio img {
    width: 100%;
    max-width: 270px;
    max-height: 270px;
    border-radius: 20px;
    min-width: 30px;
    min-height: 30px;
    margin: 0px auto;
}
.radio-title {
    color: rgb(193, 0, 0);
    margin: 15px auto !important;
    font-size: 20px;
    font-weight: 600;
    max-width: 180px;
}

.radio-main-card-container {
    display: flex;
    align-items: start;
    margin-left: 5%;
    /* min-height: 100vh; */
    /* border: 1px solid rgb(247, 239, 239); */
}

.radio-card-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
    padding: 20px;
    max-width: 1200px;
    width: 20%;
    /* border: 1px solid rgb(214, 249, 109); */
}

.radio-card {
    width: 100%;
    background-color: #1c1c1c;
    border-radius: 10px;
    /* overflow: hidden; */
    display: grid;
    flex-direction: column;
    align-items: start;
    text-align: start;
}

.card-text {
    color: red;
}
.radio-card-title{
    color: rgb(129, 9, 9);
    margin: 0;
    font-weight: 600;
}
.white {
    color: white;
    margin: 0;
    font-size: small;
}

.red-headings {
    color: rgb(187, 0, 0);
    font-weight: 700;
    padding:1% 6%;
}
.large{
    font-size: 27px;
}
/* =====================================music======================================== */

.music-card-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    gap: 20px;
    padding: 15px 40px;
    max-width: 1000px;
    width: 100%;

    /* border: 1px solid yellow; */
}

.music-red-headings {
    color: rgb(179, 0, 0);
    font-weight: 700;

    padding-left: 15%;
     /* border: 1px solid yellow; */
}

.music-card .right .linkText {
    text-decoration: none;
    /* Removes underline */
    color: inherit;
    /* Inherits color from parent elements */
    padding: 0;
    /* Removes default padding */
    margin: 0;
}

.music-card {
    border: 2px solid rgb(13, 13, 13);
    border-radius: 65px;
    overflow: hidden;
    display: flex;
    align-items: center;

}

.music-card .left {
    height: 170px;
    width: 40%;
    border: 1px solid #000;
    object-fit: fit;
}

.music-card .left img {
    width: 100%;
    /* Sets the image width to 100% (initial size) */
    height: auto;
    /* Allows image height to adjust proportionally */
    object-fit: cover;
}

.music-card .right {
    height: 170px;
    width: 60%;
    border: 1px solid #000;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #222;
    color: #ffffff;

}

.grid-item {
    background-color: #222;
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Content styling within grid items */
.content1 {
    display: flex;
    align-items: center;
    gap: 15px;
    background-color: #333;
    border-radius: 15px;
    padding: 15px;
    width: 100%;
    height: 100%;
    max-height: 100px;
}

/* Icon styling */
.icon {
    background-color: #fff;
    border-radius: 50%;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 60px;
    height: 60px;
}

/* FontAwesome icon styling */
.icon i {
    font-size: 24px;
    color: #000;
}

/* Text styling */
.text {
    color: #fff;
    font-size: 18px;
    font-weight: bold;
}

/* ================================popup card=================================== */

.radio-main-modal {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    /* background-color: rgba(0, 0, 0, 0.5); */
    background-color: rgba(14, 14, 14, 0.818);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    /* border:1px solid #ffff00; */
    overflow: hidden;
}

.radio-modal-content {
    width: 60%;
    height: 70%;
    position: relative;
    display: flex;
    background-color: #000;
    border-radius: 30px;
    /* border: 1px solid red; */
}

.close-button{
    position: absolute;
    background-color: rgb(229, 0, 0);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    top: 1px;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}



.modal-image {
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px solid green; */
}

.modal-details {
    width: 50%;
    /* border: 1px solid green; */
    height: 100%;


}

.radio-modal-text {
    color: white
}

.radio-modal-text-r {
    color: rgb(156, 0, 0);
}

/* ==================================live stream================================================= */
.stream-container {
    width: 100%;
    min-height: 70vh;
    border: 1px solid yellow;
    display: flex;
    justify-content: center;
    align-items: center;
}

.streaming {
    border: 1px solid rgb(30, 195, 41);
    width: 90%;
    min-height: 65vh;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

}

.video-stream {
    width: 50%;
    /* min-height: 65vh;  */
    height: 100%;
    border: 1px solid #ff54e5;

}

.video-stream ReactPlayer {
    height: 100%;
}

.video-stream div {
    width: 100%;
    height: 100%;
}


.chat-stream {
    width: 50%;
    height: 100%;
    border: #ff54e5;
}



/* ================showtime container====================== */

.showtime-container{
    
    width: 75%;
}



.contain-stream {

    width: 100%;
    /* min-height: 80vh; */
    display: flex;
    justify-content: center;
    justify-items: center;
}

.live-card-section {
    
    display: flex;
    /* justify-content: center; */
    /* align-items: center; */
    /* min-height: 80vh; */
    border-bottom: 3px solid rgb(255, 40, 244);
    

}

.main-live-card-container {
    width: 75%;
    /* min-height: 60vh; */
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    /* background-color: #1a1a1a; */
    /* border: 3px solid rgb(126, 190, 74); */

}

.theater-container{
    width: 100%;
    background-color: white;
    padding: 20px;
    border-radius: 20px;
    display: flex;
    background-color: #1d1d1d;
}

.main-player{
    /* border: 3px solid rgb(0, 68, 255); */
    width: 60%;
    height: 70vh;
    padding-left: 0;
    padding-right: 0;
    border-radius: 20px;
  

}

.right-chat{
    /* border: 3px solid rgb(0, 68, 255); */
    width: 40%;
    height: 75vh;
    padding-left: 0;
    padding-right: 0;
    border-radius: 20px;
}
.gradiant-custom{
    height: 100%;
    width: 100%;
    background: linear-gradient(to bottom right, rgba(0, 19, 56, 0.918), rgba(183, 189, 243, 0.934));
    border-radius: inherit;

}

.container-chats{
    /* border: 3px solid rgb(23, 164, 115); */
    width: 100%;
    height: 100%;
    /* padding-top: 0.5rem;
    padding-bottom:  0.5rem; */
    padding: 0.5rem 15px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;

}

.scroll-container{
    /* border: 2px solid rgb(119, 137, 0); */
    height: 90%;
    overflow-y: scroll;
    width: 100%; 
}


.live-card{
    background-color: #1c1c1c;
    border-radius: 10px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.live-card button{
    background: none;
  border: none;
  padding: 0;
  margin: 0;
  font: inherit;
  color: inherit;
  cursor: pointer;
  outline: none;
}
.live-card-x{
    /* border: 2px solid green; */
    border-radius: 10px;
    background-color: #1a1a1a;

}
.live-card-x-inner{
    /* border: 2px solid rgb(194, 178, 29); */
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}
.imgs img{
    height: 80%;
    width: 100%;
}
.live-stream-cards-text{
    color: rgb(191, 0, 0);
    font-size: small;
    font-weight: 700;
}
/* .live-inner-card2{
    border: 2px solid green;
    width: 100%;
} */
/* .chat-contain-inner {
    border: 2px solid rgb(119, 137, 0);
    min-height: 50vh;
    max-height: 75vh;
    overflow-y: scroll;
    width: 100%;


} */

.live-title {
    padding: 50px 2px;
    color: rgb(255, 255, 255);
    border-bottom: 1px solid rgb(190, 74, 155)
}



.live-outer {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 90vh;
    width: 100%;
    border: 1px solid yellow;
}

/*   */







.live-stream-container {
    display: flex;
    width: 65%;
    height: 80%;
    background-color: #1a1a1a;
    border: 2px solid yellow;
}

.live-stream-video-container {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #000;
}

/* .live-stream-video-container video {

    max-width: 100%;
    height: auto;
    
} */
.bannerIMg{
    height: 60%;
    /* width: 100vw; */
}
.user-avatar{
    width: 80px;
    height: 80px;
    /* border-radius: 50%; */
    /* background-color: rgb(255, 255, 255); */
}

.live-stream-chat-container {
    /* width: 60%; */
    display: flex;
    flex-direction: column;
    /* background-color: #222; */
    background: linear-gradient(to bottom right, rgb(3, 11, 37), #002156, #38598e, #6e7cb0);

    color: #fff;
}

.chat-layout-container{
    display: flex;
}

.live-stream-chat-messages {
    /* flex: 1; */
    overflow-y: scroll;
    padding: 10px;

    border: 2px solid red;
}

.live-chat-input {
    display: flex;
    padding: 10px;
    background-color: #333;
}

.live-chat-input input {
    flex: 1;
    padding: 10px;
    margin-right: 10px;
    border: none;
    border-radius: 5px;
    min-width: 80px;
}

.live-chat-input button {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #555;
    color: #fff;
    cursor: pointer;
}

.message {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

.avatar {
    font-weight: bold;
    margin-bottom: 5px;
}

.text {
    margin-bottom: 5px;
}

.timestamp {
    font-size: 0.8em;
    color: #aaa;
}


/* .live-button{
    background: none;
    border: none;
} */


/* .contain-stream {
    border: 2px solid rgb(255, 93, 109);
    width: 100%;
    min-height: 80vh;
    display: flex;
    justify-content: center;
    justify-items: center;
} */

/* .rows{
    width: 75%;
    height: 100%;
    border: 2px solid rgb(124, 255, 17);

} */
.contain-video {
    border: 2px solid rgb(124, 255, 17);
    width: 40%;
    min-height: 80%;
    display: flex;
    align-items: center;
}

.contain-chat {
    /* border: 2px solid rgb(124, 255, 17); */
    width: 30%;
    /* min-height: 80%;
    max-height: 300px; */
    height: 80%;
    /* display: flex;
    align-items: center; */
    background: linear-gradient(to bottom right, rgb(3, 11, 37), #002156, #38598e, #6e7cb0);

    color: #fff;
}

.chat-contain-inner {
    /* border: 2px solid rgb(119, 137, 0); */
    min-height: 50vh;
    max-height: 75vh;
    overflow-y: scroll;
    width: 100%;


}





/* =======================================live stream ends======================================= */
/* navbar custom css classes */
/* Reset default styles */
nav, ul, li {
    margin: 0;
    padding: 0;
    list-style: none;
  }
  
  /* Navbar container */
  nav {
    background-color: #212121;
    border-bottom: 1px solid #ffffff14;
    height: 120px;
    width: 100%;
    display: flex;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100; /* Ensure the navbar is on top */
  }
  
  /* Navbar inner container */
  nav .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    max-width: 1200px; /* Adjust as needed */
    padding: 0 20px; /* Adjust as needed */
  }
  
  /* Logo */
  nav .logo img {
    height: 60px; /* Adjust as needed */
  }
  
  /* Navbar toggle button */
  nav .navbar-toggler {
    background: none;
    border: none;
    color: white;
    font-size: 24px;
    cursor: pointer;
    display: none; /* Hide on desktop */
  }
  
  /* Navbar links */
  nav .nav-links {
    display: flex;
  }
  
  nav .nav-links li {
    margin-right: 20px; /* Adjust spacing as needed */
  }
  
  nav .nav-links li a {
    color: white;
    text-decoration: none;
    font-size: 14px;
    font-weight: 400;
    display: flex;
    align-items: center;
  }
  
  nav .nav-links li a:hover,
  nav .nav-links li a.active {
    color: #ff0000;
  }
  
  nav .nav-links li a i {
    margin-right: 5px; /* Adjust spacing as needed */
  }
  
  /* Responsive styles */
  @media (max-width: 768px) {
    nav .navbar-toggler {
      display: block; /* Show on mobile */
    }
  
    nav .nav-links {
      display: none; /* Hide links by default */
      flex-direction: column;
      position: absolute;
      top: 120px; /* Adjust based on navbar height */
      left: 0;
      width: 100%;
      background-color: #212121;
      padding: 20px;
      box-sizing: border-box;
    }
  
    nav .nav-links.show {
      display: flex; /* Show links when toggled */
    }
  
    nav .nav-links li {
      margin-right: 0;
      margin-bottom: 10px; /* Adjust spacing as needed */
    }
  }

/* footer custom css */

.footer-link {
    padding: 5px 0px;
    display: flex;
    color: #fff;
    font-size: 18px;
    align-items: center;
    justify-content: center;
    text-align: center;
    text-decoration: none;
}

.footer-link>span>i {
    padding-right: 0px;
    display: flex;
    align-items: center;
    min-width: 40px;
    justify-content: center;
}

.footer-link>p {
    padding: 12px 0 0 12px;
}

.img-box {
    box-sizing: border-box;
    width: 120px;
    /* Adjust width as needed */
    height: auto;
    /* Maintain aspect ratio */
}

.circular-icon {
    width: 20px;
    height: 27px;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    /* Specify your desired background color */
}

.footer-logo-container {
    padding: 35px 0;
}

/* navbar mobile view  */

.containar-fluid {
    color: #ffffff;
    background: #1e1e20;
    padding: 50px 40px;
}

/* home banner custom css  */

.carousel-control-prev-icon,
.carousel-control-next-icon {
    display: none;
}

/* ==============================show playlist================================= */

.main-show-palylist {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;

    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 80%;
    /* border:1px solid #ffff00; */
    overflow: hidden;
    /* border: 2px solid rgb(0, 73, 9); */
}


.playlist-card {
    position: relative;
    height: 70%;
    width: 50%;
    margin-top: 10%;
    /* border:1px solid yellow; */
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;

}

.close-btn {
    position: absolute;
    top: -2%;
    right: -2%;
    width: 5%;
    height: 10%;
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
}

.display-playlist {
    width: 90%;
    height: 90%;
    /* border:1px solid rgb(7, 200, 254); */
    padding: 2px 40px;
    overflow-y: scroll;

}

.songs-card {
    display: flex;
    align-items: center;
    border-bottom: 1px solid gainsboro;
    padding: 2px 50px;
}

.songs-card-info {
    width: 60%;
}

.songs-card-info p {
    color: white;
}

.songs-card button {
    width: 110px;
    border: 1px solid black;
    border-radius: 20px;
}

/* ============================player======================================== */

/* .player-container{
    position: fixed;
    bottom: 0px;
    width: 100%;
    z-index: 999;
    background: white
} */

.player-container {
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    background-color: #282828;
    color: #fff;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.5);
    z-index: 1000;
}

.music-player {
    display: flex;
    align-items: center;
    padding: 0 10px;
    position: relative;
}



.song-info {
    display: flex;
    align-items: center;
    margin-right: 20px;
}

.album-art {
    height: 40px;
    width: 40px;
    border-radius: 50%;
}

.song-name {
    font-size: 16px;
    margin: auto 15px;
}

.audio-player {
    background: #282828 !important;
    color: #fff !important;
    /* flex-grow: 1; */
    display: flex;
    padding: 0 10px;
}
.audio-player .rhap_progress-bar {
    background-color: #a92222; /* Change progress bar background */
    width: 100%;
    position: absolute;
    top: -4%;
    left: 0;
  }
  .rhap_progress-container{
    position: absolute;
    width: 100%;
    top: -4%;
    left: -2%;
    z-index: 99;
    padding-left: 0;
  }
  .audio-player .rhap_progress-filled {
    background-color: #980707; /* Set the color for the filled part of the progress bar */
  }
  .audio-player .rhap_additional-controls {
    display: flex;
    /* width:-10px; */
    /* justify-content: space-between; */
  }

  .next-controls{
    background: none; /* Remove background */
    border: none; /* Remove border */
    padding: 0; /* Remove padding */
  }

  .rhap_time{
    color: rgb(189, 44, 44);
  }
  #rhap_current-time{
    color: rgb(189, 44, 44);
  }

  .rhap_total-time{
    display: none;
  }

  .suffleImg-container{
    margin-left: 10%;
  }
  .repeateIcon{
    margin-left:10px;
    height: 20px;
    width: 20px;
    background-color: #ffffff00;
    /* margin-left: 40%; */
  }

  .suffleIcon{
    
    height: 20px;
    width: 20px;
    background-color: #ffffff00;
    /* margin-left: 40%; */
  }
  .iconBtn{
    border: none;
    background:none;
  }
  /* .rhap_repeat-button{
    position: absolute;
    right: 15%;
  } */
  /* .rhap_volume-container{
    margin-right: 10%;
  } */
/* ============================information page============================= */
.info-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgb(186, 2, 2);
    height: 150vh;
    width: 100%;
}

.white-container {
    position: relative;
    height: 100%;
    width: 70%;
    display: flex;
    align-items: center;
    padding-top: 10%;
    padding-left: 15%;
    /* border: 1px solid yellow; */
    background-color: white;
}

.info-image {
    height: 65%;
    width: 50%;
    /* border: 1px solid yellow; */
}

.info-image iframe {
    height: 100%;
    width: 100%;
}

.small-white-container {
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: 28%;
    right: -20%;
    height: 20%;
    /* width: 500px; */
    width: 50%;
    background-color: #ffffff;
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.30), 0 15px 12px rgba(0, 0, 0, 0.22);
}

.contact-details {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
    height: 250%;
    position: absolute;
    top: -180%;
    background-color: #000;
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.30), 0 15px 12px rgba(0, 0, 0, 0.22);
}

.info-title,
p,
h1 {
    color: white;
}

.info-title p {
    font-size: 60px;
}

.contact-link {
    text-decoration: none;
    color: white;
}

.red-small {
    width: 12%;
    height: 10%;
    background-color: rgb(186, 2, 2);
    position: absolute;
    top: -4%;
    left: -4%;
    box-shadow: 0 45px 65px rgba(0, 0, 0, 0.50), 0 35px 22px rgba(0, 0, 0, 0.16);
}






/* Radio card custom css  */

.radio-container {
    border: 5px solid white;

}

/* showtime custom css  */

.showtime-text-container {
    margin-top: 1rem;
    display: flex;
    margin-left: 10px;
    flex-direction: column;
    align-items: flex-start;
    /* border: 2px solid pink; */
    padding-bottom: 8px;
}
.showtime-text-container h6{
    font-weight: 700;
}
.showtime-text-container p{
    font-size: 14px;
    
}
.showtime-text-container span{
    color: white ;
    font-size: 10px;
    padding-left: 5px;
}
.showtime-heading{
    color: rgb(179, 0, 0);
    font-weight: 700;

    margin-left: 6%;
}



/* search page custom css  */
.search-input {
    background: black;
    border: none;
    border-bottom: 2px solid red;
    color: red;
    width: 80%;
}

.search-btn {
    width: 100px;
    height: 0p;
    padding: 3px;
    color: #981111;
    font-weight: 600;
    border-radius: 10px;
}

/* Event Page custom Css  */
.event-heading{
    font-weight: 700;
    color: rgb(187, 0, 0);
    font-size: 30px;
}
.event-popup-card {
    font-weight: 700;
    color: white;
    display: flex;
    width: 60%;
    background: #222222;
    padding: 20px;
    border-radius: 5px;
    z-index: 110;
}

.event-card-img {
    padding: 0px;
}

.event-popup-card>img {
    width: 150px;
}

.event-cross-btn {
    background: red;
    border-radius: 50%;
    position: absolute;
    top: -15px;
    right: -15px;
}
.event-desc{
    text-align: start;
}
.event-venue{
    color: rgb(185, 0, 0);
    font-weight: 700;
    margin: 1px;
}
.event-name{
    color: white;
    font-weight: 700;
    margin: 1px;

}
.event-date{
    color: white;
    font-size: 14px;
    margin: 1px;

}
.event-para{
    color: white;
    font-size: 12px;  
    margin: 1px;

}


/* ================================home page popup card=================================== */

.modal-icon {
    width: 70px;
    height: 70px;
    background: white;
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 1px 1px 20px 5px #0000004f;
    position: absolute;
    top: 0;
    margin-top: -35px;
    left: 50%;
    margin-left: -35px;
}

.modal-content {
    background: #aa0000;
    border: 0px;
    border-radius: 5px;

    position: relative;
    padding: 58px 20px;
}

.from-control {
    font-size: 13px;
    border-radius: 50px;
    padding: 15px 20px;
    border: none;
    width: 100%;
    margin-bottom: 15px;
    background: #ffffff1c;
    border: 0px;
    color: #fff;
}

.from-control::placeholder {
    color: white;
}

.submit-playlist {
    width: auto;
    padding: 13px 40px;
    border-radius: 50px;
    position: absolute;
    border: none;
    top: 0;
    margin: 0;
    right: 0;
}

.from-group {
    position: relative;
}

.playlist-box {
    padding: 10px;
    background: #0003;
    border-radius: 5px;
    text-align: left;
}

.playlist-box>ul {
    list-style-type: none;
    padding-top: 5px;
}

.playlist-box-text {
    text-decoration: none;
    color: #000;
    font-size: 17px;
    font-weight: 700;
}

@media screen and (max-width: 490px) {
    .music-card-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
        gap: 20px;
        padding: 15px 40px;
        max-width: 1000px;
        width: 100%;
        /* border: 1px solid yellow; */
    }

    .music-card .left {
        padding: 0;
        height: auto;
        width: 40%;
        /* border: 1px solid #000;
        object-fit: fit; */
    }
}
/* =====================================home responsive design==================================== */
@media screen and (max-width: 992px) {
  
    .rhap_repeat-button{
        display: none;
    }
    .rhap_volume-button{
        display: none;
    }
    .rhap_volume-bar{
        display: none;
    }

    .music-red-headings {
        text-align: center;
        padding: 0;
    }

    /* .live-stream-container {
        display: flex;
        flex-direction: column;
        width: 65%;
        height: 80%;
        background-color: #1a1a1a;
        border: 2px solid yellow;
    } */
.contain-stream {
    /* border: 3px solid rgb(255, 93, 109); */
    width: 100%;
    /* min-height: 80vh; */
    display: flex;
    justify-content: center;
    /* justify-items: center; */
}

.live-card-section {
    
    display: flex;
    /* justify-content: center; */
    /* align-items: center; */
    /* min-height: 80vh; */
    /* border-bottom: 3px solid rgb(255, 40, 244); */
    

}

.main-live-card-container {
    width: 100%;
    /* min-height: 60vh; */
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    /* background-color: #1a1a1a; */
    /* border: 3px solid rgb(126, 190, 74); */

}

/* .theater-container{
    width: 100%;
    background-color: white;
    padding: 20px;
    border-radius: 20px;
    display: flex;
    background-color: #1d1d1d;
    border: 3px solid rgb(126, 190, 74);
} */

#theater{
    /* border: 3px solid rgb(79, 242, 215); */
    display: flex;
    flex-direction: column;
    width: 100%;
    /* padding-top: 0; */

}

.main-player{
    /* border: 3px solid rgb(0, 68, 255); */
    width: 100%;
    height: 80%;

    border-radius: 20px;
    /* padding-top: 0; */
  

}
/* .main-player ReactPlayer{
    height: auto;
} */
/* #videoPlayer{
    border: 3px solid rgb(134, 0, 60);
} */
.right-chat{
    /* border: 3px solid rgb(0, 68, 255); */
    width: 100%;
    height: 75vh;
    padding-left: 0;
    padding-right: 0;
    border-radius: 20px;
}
.gradiant-custom{
    height: 100%;
    width: 100%;
    background: linear-gradient(to bottom right, rgba(0, 19, 56, 0.918), rgba(183, 189, 243, 0.934));
    border-radius: inherit;

}



.live-chat-input {
    display: flex;
    padding: 10px;
    background-color: #333;
    /* border: 3px solid rgb(0, 68, 255); */
}

.live-chat-input input {
    flex: 1;
    padding: 10px;
    margin-right: 10px;
    border: none;
    border-radius: 5px;
    /* border: 3px solid rgb(0, 68, 255); */
    min-width: 80px;
}

.live-chat-input button {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #555;
    color: #fff;
    cursor: pointer;
}
 

    /* .contain-stream {
        border: 2px solid rgb(255, 93, 109);
        width: 100%;
        min-height: 80vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .contain-video {
        border: 2px solid rgb(124, 255, 17);
        width: 80%;
        min-height: 80%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .contain-chat {
        border: 2px solid rgb(124, 255, 17);
        width: 80%;

        height: 80%;

        background: linear-gradient(to bottom right, rgb(3, 11, 37), #002156, #38598e, #6e7cb0);

        color: #fff;
    }

    .chat-contain-inner {
        border: 2px solid rgb(119, 137, 0);
        min-height: 50vh;
        max-height: 75vh;
        overflow-y: scroll;
        width: 100%;


    } */

}


@media screen and (max-width:780px){
    .radio-main-modal {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 9999;
        /* background-color: rgba(0, 0, 0, 0.5); */
        background-color: rgba(14, 14, 14, 0.818);
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
        /* border:3px solid #ffff00; */
        overflow: hidden;
    }
    
    .radio-modal-content {
        width: 60%;
        height: 60%;
        position: relative;
        display: flex;
        flex-direction: column;
        background-color: #000;
        border-radius: 30px;
        /* border: 3px solid red; */
    }
    
    .close-button{
        position: absolute;
        /* background-color: rgb(229, 0, 0); */
        width: 40px;
        height: 40px;
        border-radius: 50%;
        top: 1px;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
    }
    
    
    
    .modal-image {
      /* border: 3px solid pink; */
      width: 100%;
      height: 70%;
      display: flex;
      justify-content: center;
    }
    .modal-image img{
        width: 50%;
    }
    
    .modal-details {
        width: 100%;
        /* border: 3px solid green; */
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    
    
    }
    
    .radio-modal-text {
        
        color: white
    }
    /* .radio-modal-text-r.headd{
        display: block;
    } */
    .radio-modal-text-r {
        color: rgb(156, 0, 0);
    }







    #event-card{
       
        width: 80%;
    }
    .event-heading{
       
        font-weight: 700;
        color: rgb(187, 0, 0);
    }
    .event-popup-card {
       
        font-weight: 700;
        color: white;
        display: flex;
        width: 60%;
        background: #222222;
        padding: 20px;
        border-radius: 5px;
        z-index: 110;
    }
    
    .event-card-img {
        
        padding: 0px;
        
    }
    
    .event-popup-card>img {
       
        width: 150px;
    }
    
    .event-cross-btn {
       
        background: red;
        border-radius: 50%;
        position: absolute;
        top: -15px;
        right: -15px;
    }
    .event-desc{
        text-align: start;
       
    }
    .event-venue{
        color: rgb(185, 0, 0);
        font-weight: 700;
        margin: 1px;
    }
    .event-name{
        color: white;
        font-weight: 700;
        margin: 1px;
    
    }
    .event-date{
        color: white;
        font-size: 14px;
        margin: 1px;
    
    }
    .event-para{
        color: white;
        font-size: 12px;  
        margin: 1px;
    
    }
    
}

@media screen and (max-width:730px){


    
    .info-container {
        display: flex;
        /* justify-content: space-between; */
        align-items: center;
        background-color: rgb(186, 2, 2);
        min-height: 250vh;
        width: 100vw;
    }
    
    .white-container {
        /* position: relative; */
        height: 100%;
        /* width: 100%; */
        width: 100vw;
        overflow-x: hidden;
        display: flex;
        flex-direction: column;
        justify-content: center;
        /* align-items: center; */
        padding-top: 0%;
        padding-left: 4%;
        /* border: 1px solid yellow; */
        background-color: white;
    }
    
    .info-image {
        position: relative;
        top: -25%;
        height: 40%;
        width: 80%;
        /* border: 1px solid yellow; */
    }
    
    .info-image iframe {
        height: 100%;
        width: 100%;
    }
    
    .small-white-container {
        display: flex;
        justify-content: center;
        position: absolute;
        bottom: 8%;
        right: 10%;
        height: 20%; 
         /* width: 500px; */
        width: 80%;
        background-color: #ffffff;
        box-shadow: 0 19px 38px rgba(0, 0, 0, 0.30), 0 15px 12px rgba(0, 0, 0, 0.22);
    }
    
    .contact-details {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 90%;
        height: 150%;
        position: absolute;
        top: -100%;
        background-color: #000;
        box-shadow: 0 19px 38px rgba(0, 0, 0, 0.30), 0 15px 12px rgba(0, 0, 0, 0.22);
    }
    
    .info-title,
    p,
    h1 {
        color: white;
    }
    
    .info-title p {
        font-size: 60px;
    }
    
    .contact-link {
        text-decoration: none;
        color: white;
    }
    
    .red-small {
        width: 12%;
        height: 10%;
        background-color: rgb(186, 2, 2);
        position: absolute;
        top: -4%;
        left: -4%;
        box-shadow: 0 45px 65px rgba(0, 0, 0, 0.50), 0 35px 22px rgba(0, 0, 0, 0.16);
    }
}

@media screen and (max-width: 500px) {

    .main-card-container {
        display: flex;
        justify-content: center;
        align-items: center;
        min-height: 100vh;
        border: 1px solid black;
    }

    .card-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
        gap: 10px;
        padding: 20px;
        max-width: 1200px;
        width: 100%;
        border: 1px solid black;

    }


    .radio-main-card-container {
        display: flex;
        justify-content: center;
        align-items: center;
        /* min-height: 100vh; */
        border: 1px solid black;
    }

    .radio-card-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(140px, 1fr));
        gap: 20px;
        padding: 20px;
        max-width: 1200px;
        width: 100%;
        border: 1px solid black;
    }

    .radio-card {
        background-color: #1c1c1c;
        border-radius: 10px;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .music-red-headings {
        text-align: center;
    }


    .playlist-section {
        width: 92%;
    }

}

@media screen and (max-width: 404px) {

    .card-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
        gap: 10px;
        padding: 20px;
        max-width: 1200px;
        width: 100%;
        border: 1px solid black;

    }


    .radio-card-container {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(110px, 1fr));
        gap: 20px;
        padding: 20px;
        max-width: 1200px;
        width: 100%;
        border: 1px solid black;
    }
}


.navbar-toggler {
    border: none;
}

@media screen and (max-width : 500px) {
    .navbar-bg-primary>div {
        margin-left: 1px;
    }

    .navbar-bg-primary {
        padding-left: 2px;
    }


    /* Showtime mobile view css  */

    .radio-card {
        width: 75%;
    }

    .event-container {
        width: 50%;
        margin-left: 35px;
    }

    .event-card-body {
        line-height: 15px;
    }

    .col-md-2 {
        width: 50%;
    }

    .playlist-section {
        width: 92%;
    }


}